org.apache.fop.fonts.base14

## Class Base14FontCollection

- java.lang.Object
- - org.apache.fop.fonts.base14.Base14FontCollection

All Implemented Interfaces:
  FontCollection

    public class Base14FontCollection
    extends Object
    implements FontCollection

Sets up Base 14 fonts

### Constructor Summary

Constructors
Constructor and Description
`Base14FontCollection(boolean kerning)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `setup(int start, FontInfo fontInfo)` Sets up fonts in a font info object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Base14FontCollection

    public Base14FontCollection(boolean kerning)

Main constructor

Parameters:
  `kerning` - set to true when font kerning is enabled

### Method Detail

#### setup

    public int setup(int start,
                     FontInfo fontInfo)

Sets up fonts in a font info object. Adds metrics for basic fonts and useful family-style-weight triplets for lookup.

Specified by:
  `setup` in interface `FontCollection`
Parameters:
  `start` - the font starting number
  `fontInfo` - the font info to set up
Returns:
  the starting font number for the next font to be added